# TF9 Website

Welcome to the official repository for the **TF9** website, accessible at [www.tf9.io](https://www.tf9.io). This site serves as the digital front for TF9, providing information, resources, and access to the latest developments within the ThreeFold community.

## Project Overview

The TF9 website is built using modern, efficient web technologies to ensure a seamless user experience. The stack includes:

- **Zola**: A fast, static site generator designed for simplicity and performance.
- **Tailwind CSS**: A utility-first CSS framework for rapid UI development.
- **JavaScript**: Enhancing interactivity and functionality on the website.
- **Markdown**: Used for writing content in a simple and readable format, which Zola converts into HTML.
- **HTML**: The backbone of the web pages, structuring the content and defining the layout of the website.


## Environments

The TF9 website is deployed across two environments:

- **Production**:  
  - **Branch**: `main`
  - **URL**: [www.tf9.io](https://www.tf9.io)

- **Development**:  
  - **Branch**: `dev`
  - **URL**: [www2.tf9.io](https://www2.tf9.io)

## Installation

To get started with the development environment, ensure that you have the following installed on your machine:

1. **Zola**: [Installation Guide](https://www.getzola.org/documentation/getting-started/installation/)
2. **Tailwind CSS**: [Installation Guide](https://tailwindcss.com/docs/installation)
3. **Node.js & npm**: Required for managing JavaScript dependencies.


## Getting Started

Once these dependencies are installed, you can clone this repository and navigate into the project directory:

```bash
git clone https://git.ourworld.tf/tfcoop/www_tf9_new
cd www_tf9_new

```

### Reviewing New Website Changes Locally

#### Access the Terminal
Within your code editor, open the terminal or command line interface. Make sure you are in the root directory of your website project in the terminal.

#### Run the Build Script: 
Type **./build.sh** in the terminal and press Enter. This script is responsible for building or compiling your website code and assets.

#### Run the Start Script: 
After the build process is complete, type **./start.sh** in the terminal and press Enter. This script typically starts a local development server.

Wait for the Localhost URL: The start script will initiate a local development server, and it will display a localhost URL, such as **http://localhost:xxxx**, where xxxx is a port number. Wait for this URL to be generated.

### Open the URL in Your Browser
Once the localhost URL is generated, open your web browser and enter the provided URL (e.g., http://localhost:xxxx). This will display your website locally, allowing you to review the changes you made.

## Contributing

We welcome contributions from the community! To contribute:

Create a new branch (git checkout -b feature/your-feature-name).
Make your changes and commit them (git commit -m 'Add new feature').
Push to the branch (git push origin feature/your-feature-name).
Open a Pull Request.

## Issues and Suggestions

We welcome feedback, bug reports, and feature requests to help improve the TF9 website. If you encounter any issues or have suggestions, please follow the steps below:

1. Go to the **TF Web Presence project** board on Gitea: [Project](https://git.ourworld.tf/tfgrid/circle_web_presence/projects/35)
2. Click on the "New Issue" button.
3. Provide a clear title and detailed description of the issue or suggestion.
4. Add relevant labels, milestones, or assignees if applicable.
5. Submit the issue.

Our team will review and address your submission as soon as possible.

Thank you for helping us improve TF9!


## Administrators
[ThreeFold's Web Presence Team](https://git.ourworld.tf/tfgrid/circle_web_presence/)

## Website Maintenance

![readme](https://user-images.githubusercontent.com/43240801/236867088-56c95abd-510c-4202-b0c5-317cdfb75cb3.png)

It is highly important to follow this procedure to contribute to the website content. <br>
__WARNING__: DO NOT commit straight into __master__ / __development__ branch.